TTF_GetTextSize(3)

NAME
TTF_GetTextSize - Get the size of a text object.

HEADER FILE
Defined in SDL3_ttf/SDL_ttf.h

SYNOPSIS
#include "SDL3_ttf/SDL_ttf.h"

bool TTF_GetTextSize(TTF_Text *text, int *w, int *h);

DESCRIPTION
The size of the text may change when the font or font style and size change.

FUNCTION PARAMETERS

text
    the TTF_Text
     to query.

w   a pointer filled in with the width of the text, in pixels, may be NULL.

h   a pointer filled in with the height of the text, in pixels, may be NULL.

RETURN VALUE
Returns true on success or false on failure; call SDL_GetError() for more information.

THREAD SAFETY
This function should be called on the thread that created the text.

AVAILABILITY
This function is available since SDL_ttf 3.0.0.